[HEADSUP] New pkg-devel 1.1.0 beta1

Bryan Drewery bdrewery at FreeBSD.org
Tue Jun 11 17:23:52 UTC 2013


On 6/11/2013 12:17 PM, Slawa Olhovchenkov wrote:
> On Tue, Jun 11, 2013 at 11:52:59AM -0500, Bryan Drewery wrote:
> 
>> On 6/11/2013 11:51 AM, Slawa Olhovchenkov wrote:
>>> On Mon, Jun 03, 2013 at 08:40:31PM +0200, Baptiste Daroussin wrote:
>>>
>>>> On Mon, Jun 03, 2013 at 07:39:03PM +0400, Slawa Olhovchenkov wrote:
>>>>> On Mon, Jun 03, 2013 at 05:34:19PM +0200, Baptiste Daroussin wrote:
>>>>>
>>>>>> On Mon, Jun 03, 2013 at 07:17:24PM +0400, Slawa Olhovchenkov wrote:
>>>>>>> On Thu, May 30, 2013 at 05:20:54PM +0200, Baptiste Daroussin wrote:
>>>>>>>
>>>>>>>> The pkg developement team is proud to announce the new 1.1.0 beta1 release of
>>>>>>>> pkg.
>>>>>>>
>>>>>>>> - new experimental pkg convert (can convert from and to legacy pkg database)
>>>>>>>>   pkg2ng now uses pkg convert (still recommanded to use pkg2ng)
>>>>>>>
>>>>>>> Converting packages from /var/db/pkg
>>>>>>> Converting pkg-1.1.0.b3_1...
>>>>>>> pkg: unknown keyword display, ignoring @display
>>>>>>> Installing pkg-1.1.0.b3_1...Segmentation fault (core dumped)
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> freebsd-current at freebsd.org mailing list
>>>>>>> http://lists.freebsd.org/mailman/listinfo/freebsd-current
>>>>>>> To unsubscribe, send any mail to "freebsd-current-unsubscribe at freebsd.org"
>>>>>>
>>>>>> Have you run pkg2ng?
>>>>>
>>>>> Yes, this is run pkg2ng.
>>>>
>>>> Ok I'll have a look and fix asap.
>>>
>>> And for graphics/evince don't recorded dependencies from
>>> archivers/unzip (as RUN_DEPENDS in Makefile).
>>
>> This is possibly expected because unzip is in base. The archivers/unzip
>> package is not installed. The port is not depending on
>> LOCALBAES/bin/unzip so it doesn't pull in the archivers/unzip port, it
>> just uses the base version.
>>
>> It's not a pkg problem.
> 
> Whose problem is it? Where addressed PR?
> In ports Makefile for graphics/evince
> 
> .if ${PORT_OPTIONS:MCOMICS}
> RUN_DEPENDS+=           unzip:${PORTSDIR}/archivers/unzip
> CONFIGURE_ARGS+=        --enable-comics
> GCONF_SCHEMAS+=         evince-thumbnailer-comics.schemas
> PLIST_SUB+=             COMICS=""
> .else
> CONFIGURE_ARGS+=        --disable-comics
> PLIST_SUB+=             COMICS="@comment "
> .endif
> 
> poudriere check dependencies changing by comparing 'make
> run-depends-list' and recorded dependices from existing package. In
> run-depends-list archivers/unzip prsent, in package -- absent.
> As result on every run 'poudriere bulk' package graphics/evince
> removed ("new dependency: archivers/unzip") and rebuilding. And
> depended from evince packages too.

This is a known poudriere bug. Documented in the 3.0 release notes:

>   - Add CHECK_CHANGED_DEPS (default yes) to automatically detect
>     direct dependency changes and rebuild packages if needed. This
>     allow automatically detecting default postgresql/mysql/perl
>     changes requiring rebuild of ports. Note this has a bug with
>     ports that depend on libraries that are in base, but have a
>     port fallback. This will be addressed in 3.1.

...

> 
> This is problem of evince port or port infrastructure?

It's a evince port problem, or not. Up to maintainer to decide if it
really needs archives/unzip port, or not. Apparently it does not need
it, or should be changed to LOCALBASE/bin/unzip or USE_ZIP or removed.

> 
> Or may be we need 'soft' (optional) dependencies -- installed if some
> files missing? (for example -- system build w/o bzip2, package
> installed bzip2, for usual system -- do nothing).
> 



-- 
Regards,
Bryan Drewery

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 898 bytes
Desc: OpenPGP digital signature
URL: <http://lists.freebsd.org/pipermail/freebsd-ports/attachments/20130611/a831fcac/attachment.sig>


More information about the freebsd-ports mailing list